
function my_sort(cle,tab_m,order='asc',cle2=''){
    for(i in tab_m){
        for(j in tab_m){
            x = tab_m[i]
            y = tab_m[j]
			
			if(order=='desc'){
				if((1*x[cle]) > (1*y[cle]) || (cle2 && (1*x[cle]) == (1*y[cle]) && (x[cle2]) < (y[cle2]))){
					tab_m[i] = y
					tab_m[j] = x 
				}
			}
			else{
				if((1*x[cle]) < (1*y[cle]) || (cle2 && (1*x[cle]) == (1*y[cle])  && (x[cle2]) > (y[cle2]))){
					tab_m[i] = y
					tab_m[j] = x 
				}
			}
            
        }
    }
    return tab_m
}
function liste_classe(){
	var ul= "";
	$('.Classe_palmares').each(function(){
		var id = $(this).attr('id');
		var cl = $(this).attr('classe');
		ul+='<li><a href="#'+id+'">'+cl+'</a></li>';
	});
	$('#palmares_list_classe').html(ul);
}
function palmarese( id_class,index_trav,div ){
	var tab = [];
	$('.Cla_'+id_class).each(function(){
		var e = {
			'nom':$(this).attr('nom'),
			'postnom':$(this).attr('postnom'),
			'prenom':$(this).attr('prenom'),
			'mat':$(this).attr('mat'),
			'genre':$(this).attr('genre'),
			'id_eleve':$(this).attr('id_eleve'),
			
			'pour1':$(this).attr('pour1'),
			'pour2':$(this).attr('pour2'),
			'pour3':$(this).attr('pour3'),
			'pour4':$(this).attr('pour4')	
		};
		if($(this).attr('pour8') ){
			e['pour5'] = $(this).attr('pour5')
			e['pour6'] = $(this).attr('pour6')
			e['pour7'] = $(this).attr('pour7')
			e['pour8'] = $(this).attr('pour8')
			
			e['pour9'] = $(this).attr('pour9')		
		}
		if($(this).attr('pour13') ){
			e['pour9'] = $(this).attr('pour9')
			e['pour10'] = $(this).attr('pour10')
			e['pour11'] = $(this).attr('pour11')
			e['pour12'] = $(this).attr('pour12')
			
			e['pour13'] = $(this).attr('pour13')
		}
		tab.push(e);
	});
	var cle = 'pour'+index_trav;
	var tabp = ajouter_les_places(tab,index_trav)
	palma_table(id_class,tabp,index_trav,div);
	// palma_table(id_class,tabp,2,div);
	// palma_table(id_class,tabp,3,div);
	colorer_cote()
	liste_classe()
}




function colorer_cote(){
	var max, cote;
	$('.cote').each(function(){
		max = $(this).attr('max');
		cote = parseFloat($(this).text()) ;
		if(cote)
			$(this).css({'color':( (cote*2) >=  (max*1)?'blue':'red' )});
	})
}

function ajouter_les_places(tabb,index_trav){
	var t=[];
	var cls = $("p[class^='Cla_']");
	var f = cls.first();
	var limit = (f.attr('pour13'))?14:(f.attr('pour9')?10:5);
	// alert(limit,cls,f,f.attr('pour13'));
	// console.log(limit,cls,f,f.attr('pour13')); && index_trav
	for(var h=1;h<limit;h++){
		var cle = 'pour'+h;
		var tab_s = my_sort(cle,tabb,'desc','nom');
		if(h == index_trav ){
			t=tab_s;
		}
		console.log(cle,tab_s);
		//
		for(var j in tab_s){
			data = tab_s[j];
			$('#place'+h+'_eleve_'+data.id_eleve).text((j*1+1)+'°');
		}
	}
	console.log(t);
	return t;		
}

// cree la table du palmares et l'ajoute aux autres table de palmarese
function palma_table(id_class,tab_pal,index_trav,div){
	var trv = [
	"1ère Période","2ème Période","1re Examen","1re Trimestre",
	"3ème Période","4ème Période","2ème Examen","2ème Trimestre",
	"5ème Période","6ème Période","3ème Examen","3ème Trimestre",
	"Annuel"];
	tab_pal = my_sort("pour"+index_trav,tab_pal,'desc','nom');
	var classe = $('#Cla_'+id_class).text();
	var travail = trv[index_trav-1];
	var table = '<table class="palmares table-striped sortable striped collapsible filterable paginated" border="1">'+
		'<thead>'+
			'<tr>'+
				'<th colspan="4" style="text-align:center">'+classe+', Classement de '+travail+'</th>'+
			'</tr>'+
			'<tr>'+
				'<th>PLACE</th><th>ELEVES</th>'+
				'<th>SEXE</th><th>(%)</th>'+
			'</tr>'+
		'</thead>'+
		'<tbody>';
		var tbody='';
		var data,cle,color;
		for(var i in tab_pal){
			data = tab_pal[i];
			cle = 'pour'+index_trav;
			color = data[cle]>50?'blue':'red';
			tbody+='<tr style="color:'+color+'"><td>'+(i*1+1)+'</td><td class=nom>'+data.nom+' '+data.postnom+' '+data.prenom+' </td><td>'+data.genre+'</td><td>'+(data[cle])+'%</td></tr>';
		}
		
		tbody+=
		'</tbody>'+
	'</table>';
	$(div).append(table+tbody);
}

